
<div class="form-container" (ngSubmit)="login()">
    <form class="login-form" [formGroup]="form" novalidate>
        <img src="../../../assets/images/logo.png" alt="My logo">
        <status-message-container [condition]="submitted && !email.valid" type="warning" title="Hmm...">
            <status-message [condition]="email.errors && email.errors.required">Your email cannot be empty</status-message>
            <status-message [condition]="email.errors && (!email.errors.required && email.errors.invalidEmailFormat)">Invalid email format</status-message>
        </status-message-container>
        
        <status-message-container [condition]="submitted && !password.valid" type="warning" title="Hmm...">
            <status-message [condition]="submitted && password.errors && password.errors.required">Your password cannot be empty</status-message>
            <status-message [condition]="submitted && password.errors && (!password.errors.required && password.errors.invalidPasswordFormat)">Invalid password format</status-message>
            <status-message [condition]="submitted && password.errors && password.errors.minlength">Your password is too short</status-message>
            <status-message [condition]="submitted && password.errors && password.errors.maxlength">Your password is too long</status-message>
        </status-message-container>
        <label>
            <div class="text-label">Email</div>
            <input required type="email" id="email" formControlName="email"/>
        </label>
        <label>
            <div class="text-label">Password</div>
            <div (click)="toggleShowPassword()" class="password-icon" id="show-pass" *ngIf="!showPassword"><i class="fas fa-eye"></i></div>
            <div (click)="toggleShowPassword()" class="password-icon" id="hide-pass" *ngIf="showPassword"><i class="fas fa-eye-slash"></i></div>
            <input required type="password" id="password" formControlName="password" show-hide-input/>
        </label>

        <a href="#">Forgot password?</a>
        <label class="checkbox-container">
          <input type="checkbox">
          <span class="checkmark"></span>
          <div class="text-label checkbox-label">Remember this device <i class="fa fa-info-circle">
              <span class="tooltiptext">Auto-login from this device</span>
          </i></div>
      </label>
      <div class="login-buttons">
        <button class="btn-register">Register</button>
        <input class="btn-login" type="submit" c value="Log In" (click)="login()" />
    </div>
    <div class="footer">
        <hr>
        <div class="footer-or">or</div>
        <hr>
    </div>
    <div>
        <div class="btn-social-media"> 
        <img src="../../../assets/images/facebook.png" alt="facebook">
            Continue with Facebook</div>
        <div class="btn-social-media"> 
        <img src="../../../assets/images/google.png" alt="facebook">
    Sign in with Google</div>
    </div>
</form>

<div class="copyright"> &copy; 2018 VratsaSoftware Inc.</div>
</div>